org.eclipse.emf.cdo.etypes.impl

## Class EtypesPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.emf.cdo.etypes.impl.EtypesPackageImpl

- All Implemented Interfaces:
    EtypesPackage, Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder

      public class EtypesPackageImpl
      extends EPackageImpl
      implements EtypesPackage

  An implementation of the model Package.
  Since:
    4.0
  Generated
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.etypes.EtypesPackage

      `EtypesPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.cdo.etypes.EtypesPackage

      `ANNOTATION, ANNOTATION__ANNOTATIONS, ANNOTATION__CONTENTS, ANNOTATION__DETAILS, ANNOTATION__MODEL_ELEMENT, ANNOTATION__REFERENCES, ANNOTATION__SOURCE, ANNOTATION_FEATURE_COUNT, BLOB, CLOB, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, INPUT_STREAM, LOB, MODEL_ELEMENT, MODEL_ELEMENT__ANNOTATIONS, MODEL_ELEMENT_FEATURE_COUNT, READER`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `EReference` | `getAnnotation_Contents()`
    `EReference` | `getAnnotation_Details()`
    `EReference` | `getAnnotation_ModelElement()`
    `EReference` | `getAnnotation_References()`
    `EAttribute` | `getAnnotation_Source()`
    `EClass` | `getAnnotation()`
    `EDataType` | `getBlob()`
    `EDataType` | `getClob()`
    `EtypesFactory` | `getEtypesFactory()`
    `EDataType` | `getInputStream()`
    `EDataType` | `getLob()`
    `EReference` | `getModelElement_Annotations()`
    `EClass` | `getModelElement()`
    `EDataType` | `getReader()`
    `static EtypesPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static EtypesPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `EtypesPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `EtypesPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated

    - #### getModelElement

          public EClass getModelElement()

      Specified by:
        `getModelElement` in interface `EtypesPackage`
      Returns:
        the meta object for class 'Model Element'.
      See Also:
        `ModelElement`
      Generated

    - #### getModelElement_Annotations

          public EReference getModelElement_Annotations()

      Specified by:
        `getModelElement_Annotations` in interface `EtypesPackage`
      Returns:
        the meta object for the containment reference list 'Annotations'.
      See Also:
        `ModelElement.getAnnotations()`, `EtypesPackage.getModelElement()`
      Generated

    - #### getAnnotation

          public EClass getAnnotation()

      Specified by:
        `getAnnotation` in interface `EtypesPackage`
      Returns:
        the meta object for class 'Annotation'.
      See Also:
        `Annotation`
      Generated

    - #### getAnnotation_Source

          public EAttribute getAnnotation_Source()

      Specified by:
        `getAnnotation_Source` in interface `EtypesPackage`
      Returns:
        the meta object for the attribute 'Source'.
      See Also:
        `Annotation.getSource()`, `EtypesPackage.getAnnotation()`
      Generated

    - #### getAnnotation_Details

          public EReference getAnnotation_Details()

      Specified by:
        `getAnnotation_Details` in interface `EtypesPackage`
      Returns:
        the meta object for the map 'Details'.
      See Also:
        `Annotation.getDetails()`, `EtypesPackage.getAnnotation()`
      Generated

    - #### getAnnotation_ModelElement

          public EReference getAnnotation_ModelElement()

      Specified by:
        `getAnnotation_ModelElement` in interface `EtypesPackage`
      Returns:
        the meta object for the container reference 'Model Element'.
      See Also:
        `Annotation.getModelElement()`, `EtypesPackage.getAnnotation()`
      Generated

    - #### getAnnotation_Contents

          public EReference getAnnotation_Contents()

      Specified by:
        `getAnnotation_Contents` in interface `EtypesPackage`
      Returns:
        the meta object for the containment reference list 'Contents'.
      See Also:
        `Annotation.getContents()`, `EtypesPackage.getAnnotation()`
      Generated

    - #### getAnnotation_References

          public EReference getAnnotation_References()

      Specified by:
        `getAnnotation_References` in interface `EtypesPackage`
      Returns:
        the meta object for the reference list 'References'.
      See Also:
        `Annotation.getReferences()`, `EtypesPackage.getAnnotation()`
      Generated

    - #### getLob

          public EDataType getLob()

      Specified by:
        `getLob` in interface `EtypesPackage`
      Returns:
        the meta object for data type 'Lob'.
      Since:
        4.1
      See Also:
        `CDOLob`
      Generated

    - #### getInputStream

          public EDataType getInputStream()

      Specified by:
        `getInputStream` in interface `EtypesPackage`
      Returns:
        the meta object for data type 'Input Stream'.
      Since:
        4.3
      See Also:
        `InputStream`
      Generated

    - #### getReader

          public EDataType getReader()

      Specified by:
        `getReader` in interface `EtypesPackage`
      Returns:
        the meta object for data type 'Reader'.
      Since:
        4.3
      See Also:
        `Reader`
      Generated

    - #### getBlob

          public EDataType getBlob()

      Specified by:
        `getBlob` in interface `EtypesPackage`
      Returns:
        the meta object for data type 'Blob'.
      See Also:
        `CDOBlob`
      Generated

    - #### getClob

          public EDataType getClob()

      Specified by:
        `getClob` in interface `EtypesPackage`
      Returns:
        the meta object for data type 'Clob'.
      See Also:
        `CDOClob`
      Generated

    - #### getEtypesFactory

          public EtypesFactory getEtypesFactory()

      Specified by:
        `getEtypesFactory` in interface `EtypesPackage`
      Returns:
        the factory that creates the instances of the model.
      Generated

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html